Skip to content

Update safe fields on a linked ticket

PATCH
/integrations/context-capture/v1/tickets/{ticketId}
curl --request PATCH \
--url https://example.com/api/integrations/context-capture/v1/tickets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expectedRevision": "2026-04-15T12:00:00Z", "title": "example", "description": "example", "priority": "low", "status": "open" }'
ticketId
required
string format: uuid
Media type application/json
object
expectedRevision
required
string format: date-time
title
string
>= 5 characters <= 140 characters
description
string
>= 10 characters <= 5000 characters
priority
string
Allowed values: low medium high
status
string
Allowed values: open closed

Updated ticket

Media type application/json
object
id
required
string format: uuid
number
required
integer
>= 1
title
required
string
status
required
string
Allowed values: open closed
stage
required
string
Allowed values: backlog up_next in_progress validation live
priority
required
string
Allowed values: low medium high
revision
required
string format: date-time
updatedAt
required
string format: date-time
portalUrl
required
string format: uri

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Not found

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Revision conflict

Invalid request

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Rate limited